List presets
Lists presets that are either created by the authenticated user, shared with groups the user belongs to, or system presets. Results are paginated.
token_authAuthorizationBearer <token>Token-based authentication using access tokens.
page?PagePage number.
1per_page?Per PageItems per page.
1 <= value <= 10020order?OrderSort order.
"desc""asc""desc"type?|Filter by preset type.
nullsearch?|Search term to filter presets by name, or by the name of a template they belong to.
nullsort_by?Sort BySort by field.
"created_at""name""created_at"ownership?|Filter by ownership: 'mine' for own presets, 'shared' for group-shared presets, 'default' for system presets only.
nullcreated_by?|Filter by creator username (exact match). Typically the username of a teammate.
nullcategory_id?|Filter by category ID.
nullgroup_by?|When set to 'category', returns presets grouped by category. Pagination applies to categories, not presets.
nullSuccessful Response
application/json- response
presets?array<>|When group_by=category is not used, this field contains the flat list of presets.
nullgroups?array<>|When group_by=category is used, this field contains the categorized results. Otherwise, this field is null.
nullpagination*Pagination metadata.
curl -X GET "https://example.com/preset"{ "presets": null, "groups": null, "pagination": { "page": 0, "per_page": 0, "total": 0, "pages": 0, "has_next": true, "has_prev": true }}